#define VALUE  "http://www.w3.org/1999/02/22-rdf-syntax-ns#value"
typedef struct _Store *Store;
typedef enum {Simple, Resource, Alt, Bag, Seq, Structure} PropertyType;
typedef void (StoreCallback)(string property, PropertyType type,
        string value, Store structure, string lang,
        void *data);
extern Store store_create(void);
extern _Bool 
           store_is_empty(Store store);
extern _Bool 
           store_delete(Store *s, const string pattern, const string lang);
extern void store_add(Store *store, const string property,
        const PropertyType type, const string value,
        const Store structure, const string lang);
extern void store_walk(const Store s, StoreCallback fn, void *data);
extern void store_lookup(Store s, const string pattern, const string lang,
    StoreCallback fn, void *data);
extern void store_simplify(Store *store);
