:

# Cleaning removes a redundant property

trap 'rm -f $TMP1 $TMP2 $TMP3' 0
TMP1=`mktemp /tmp/test-XXXXXX` || exit 1
TMP2=`mktemp /tmp/test-XXXXXX` || exit 1
TMP3=`mktemp /tmp/test-XXXXXX` || exit 1

cat >$TMP1 <<EOF
<?xpacket begin='﻿' id='W5M0MpCehiHzreSzNTczkc9d'?>
 <rdf:RDF xmlns:rdf='http://www.w3.org/1999/02/22-rdf-syntax-ns#'>
  <rdf:Description rdf:about=''>
   <bar xmlns="foo#">
    <rdf:Bag>
     <rdf:li xml:lang="">A generic value</rdf:li>
    </rdf:Bag>
   </bar>
  </rdf:Description>
 </rdf:RDF>
<?xpacket end='w'?>
EOF


# Add a new value to the foo#bar property.
./xmptool -l en -w 'foo#bar' 'A generic value' $TMP1 >$TMP2

cat $TMP2

# Check that it has been added.
./xmptool -v '*' $TMP2 | grep -F 'foo#bar[en]' || exit 1

# Clean the file.
./xmptool -c $TMP2 >$TMP3

cat $TMP3

# Check that the old value is still there.
./xmptool -v '*' $TMP3 | grep 'A generic value' || exit 1

# Check that the new value has been removed.
./xmptool -v '*' $TMP3 | grep -F 'foo#bar[en]'
test $? != 0 || exit 1
