:

# Splitting namespaces from local names.

trap 'rm -f $TMP1 $TMP2 $TMP3' 0
TMP1=`mktemp /tmp/test-XXXXXX` || exit 1
TMP2=`mktemp /tmp/test-XXXXXX` || exit 1
TMP3=`mktemp /tmp/test-XXXXXX` || exit 1

# Initial XMP:
cat >$TMP1 <<EOF
<?xml version="1.0" charset="utf-8"?>
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
<rdf:Description>
<foo_17 xmlns="scheme:5*">xyz</foo_17>
</rdf:Description>
</rdf:RDF>
EOF

# Expected XMP:
cat >$TMP2 <<EOF
<?xpacket begin='﻿' id='W5M0MpCehiHzreSzNTczkc9d'?>
<rdf:RDF
  xmlns:crs="http://ns.adobe.com/camera-raw-settings/1.0/"
  xmlns:exif="http://ns.adobe.com/exif/1.0/"
  xmlns:aux="http://ns.adobe.com/exif/1.0/aux/"
  xmlns:photoshop="http://ns.adobe.com/photoshop/1.0/"
  xmlns:tiff="http://ns.adobe.com/tiff/1.0/"
  xmlns:xap="http://ns.adobe.com/xap/1.0/"
  xmlns:dc="http://purl.org/dc/elements/1.1/"
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:tc="http://www.w3.org/2000/PhotoRDF/technical-1-0#">
 <rdf:Description rdf:about="">
  <foo_17 xmlns="scheme:5*">xyz</foo_17>
  <name xmlns="this-is-a-namespace?">value</name>
 </rdf:Description>
</rdf:RDF>
<?xpacket end='w'?>
EOF

# Add another property:
./xmptool -w 'this-is-a-namespace?name' 'value' $TMP1 >$TMP3

# Compare to expected result:
diff -u $TMP2 $TMP3
