:

# Cleaning removes an empty structure.

trap 'rm -f $TMP1 $TMP2 $TMP3' 0
TMP1=`mktemp /tmp/test-XXXXXX` || exit 1
TMP2=`mktemp /tmp/test-XXXXXX` || exit 1
TMP3=`mktemp /tmp/test-XXXXXX` || exit 1

cat >$TMP1 <<EOF
<?xpacket begin='﻿' id='W5M0MpCehiHzreSzNTczkc9d'?>
 <rdf:RDF xmlns:rdf='http://www.w3.org/1999/02/22-rdf-syntax-ns#'>
  <rdf:Description rdf:about=''>
   <bar xmlns="foo#">
    <rdf:Description>
    </rdf:Description>
   </bar>
  </rdf:Description>
 </rdf:RDF>
<?xpacket end='w'?>
EOF

# Expected XMP:
cat >$TMP2 <<EOF
<?xpacket begin='﻿' id='W5M0MpCehiHzreSzNTczkc9d'?>
<rdf:RDF
  xmlns:crs="http://ns.adobe.com/camera-raw-settings/1.0/"
  xmlns:exif="http://ns.adobe.com/exif/1.0/"
  xmlns:aux="http://ns.adobe.com/exif/1.0/aux/"
  xmlns:photoshop="http://ns.adobe.com/photoshop/1.0/"
  xmlns:tiff="http://ns.adobe.com/tiff/1.0/"
  xmlns:xap="http://ns.adobe.com/xap/1.0/"
  xmlns:dc="http://purl.org/dc/elements/1.1/"
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:tc="http://www.w3.org/2000/PhotoRDF/technical-1-0#">
 <rdf:Description rdf:about="">
 </rdf:Description>
</rdf:RDF>
<?xpacket end='w'?>
EOF


# Clean the file.
./xmptool -c $TMP1 >$TMP3

# Compare to expected.
diff -u $TMP2 $TMP3
