:

# Read XML character entities

trap 'rm -f $TMP' 0
TMP=`mktemp /tmp/test-XXXXXX` || exit 1

# Input contains various character entities:
cat >$TMP <<EOF
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
 <rdf:Description>
  <bar xmlns="foo/">&quot;&lt;&#x2691;&gt; &amp; a &apos;flag&apos;&quot;</bar>
  <baz xmlns="foo/" rdf:value='"<&#x2691;&gt; &amp; a &apos;flag&apos;&quot;'/>
 </rdf:Description>
</rdf:RDF>
EOF

# Query the values of foo/bar and foo/baz
./xmptool 'foo/bar' $TMP | grep "\"<⚑> & a 'flag'\"" || exit 1
./xmptool 'foo/baz' $TMP | grep "\"<⚑> & a 'flag'\"" || exit 1

# Parsing and then re-serializing should not chnage the result either:
./xmptool -c $TMP | ./xmptool 'foo/bar' | grep "\"<⚑> & a 'flag'\"" || exit 1
./xmptool -c $TMP | ./xmptool 'foo/baz' | grep "\"<⚑> & a 'flag'\"" || exit 1
