:

# Turn a simple property into a Bag if it gets extra values

trap 'rm -f $TMP1 $TMP2 $TMP3' 0
TMP1=`mktemp /tmp/test-XXXXXX` || exit 1
TMP2=`mktemp /tmp/test-XXXXXX` || exit 1
TMP3=`mktemp /tmp/test-XXXXXX` || exit 1

# Create an XMP file with one property:
echo | ./xmptool -w -l en -- foo "This is the English value" >$TMP1

# Check it:
./xmptool -- foo $TMP1 | grep "This is the English value" || exit 1

# Add a value for the same property:
./xmptool -w -l fr -- foo "Ceci est la valeur française" $TMP1 >$TMP2

# Check that now both values are returned for foo:
./xmptool -- foo $TMP2 | grep "This is the English value" || exit 1
./xmptool -- foo $TMP2 | grep "Ceci est la valeur française" || exit 1

# Remove the English value:
./xmptool -d -l en -- foo $TMP2 >$TMP3

# The French value should still be there:
./xmptool -- foo $TMP3 | grep "Ceci est la valeur française" || exit 1
