:

# The <rdf:value> element should come first in the <rdf:Description>
# and the xml:lang should not be put on the rdf:value

trap 'rm $TMP1 $TMP2 $TMP3' 0
TMP1=`mktemp /tmp/test-XXXXXX` || exit 1
TMP2=`mktemp /tmp/test-XXXXXX` || exit 1
TMP3=`mktemp /tmp/test-XXXXXX` || exit 1

# Input
cat >$TMP1 <<EOF
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:xmp="http://ns.adobe.com/xap/1.0/" xmlns:xe="http://ns.adobe.com/xmp-example/">
   <rdf:Description rdf:about="">
       <dc:source xml:lang="en-us">
          <rdf:Description>
            <xe:qualifier>artificial example</xe:qualifier>
            <rdf:value>Adobe XMP Specification, April 2010</rdf:value>
          </rdf:Description>
       </dc:source>
  </rdf:Description>
</rdf:RDF>
EOF

# Expected output
cat >$TMP2 <<EOF
<?xpacket begin='﻿' id='W5M0MpCehiHzreSzNTczkc9d'?>
<rdf:RDF
  xmlns:crs="http://ns.adobe.com/camera-raw-settings/1.0/"
  xmlns:exif="http://ns.adobe.com/exif/1.0/"
  xmlns:aux="http://ns.adobe.com/exif/1.0/aux/"
  xmlns:photoshop="http://ns.adobe.com/photoshop/1.0/"
  xmlns:tiff="http://ns.adobe.com/tiff/1.0/"
  xmlns:xap="http://ns.adobe.com/xap/1.0/"
  xmlns:dc="http://purl.org/dc/elements/1.1/"
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:tc="http://www.w3.org/2000/PhotoRDF/technical-1-0#">
 <rdf:Description rdf:about="">
  <dc:source xml:lang="en-us">
   <rdf:Description>
    <rdf:value>Adobe XMP Specification, April 2010</rdf:value>
    <qualifier xmlns="http://ns.adobe.com/xmp-example/" xml:lang="en-us">artificial example</qualifier>
   </rdf:Description>
  </dc:source>
 </rdf:Description>
</rdf:RDF>
<?xpacket end='w'?>
EOF

./xmptool -c $TMP1 >$TMP3
diff -u $TMP2 $TMP3
