:

# Example from XMP Specification part 1 section 7.9.2.3

trap 'rm -f $TMP1 $TMP2 $TMP3' 0
TMP1=`mktemp /tmp/test-XXXXXX` || exit 1
TMP2=`mktemp /tmp/test-XXXXXX` || exit 1
TMP3=`mktemp /tmp/test-XXXXXX` || exit 1

cat >$TMP1 <<EOF
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
         xmlns:xmpTPg="http://ns.adobe.com/xap/1.0/t/pg/"
         xmlns:stDim="http://ns.adobe.com/xap/1.0/sType/Dimensions#"
         xmlns:xmp="http://ns.adobe.com/xap/1.0/"
         xmlns:xe="http://ns.adobe.com/xmp-example/">
   <rdf:Description rdf:about="">
      <xmpTPg:MaxPageSize rdf:parseType="Resource">
         <stDim:h>11.0</stDim:h>
         <stDim:w>8.5</stDim:w>
         <stDim:unit>inch</stDim:unit>
      </xmpTPg:MaxPageSize>
      <xmp:BaseURL rdf:parseType="Resource">
         <rdf:value rdf:resource="http://www.adobe.com/"/>
         <xe:qualifier>artificial example</xe:qualifier>
      </xmp:BaseURL>
   </rdf:Description>
</rdf:RDF>
EOF

# Expected output
cat >$TMP2 <<EOF
http://ns.adobe.com/xap/1.0/BaseURL	http://www.adobe.com/
http://ns.adobe.com/xap/1.0/BaseURL http://ns.adobe.com/xmp-example/qualifier	artificial example
http://ns.adobe.com/xap/1.0/t/pg/MaxPageSize http://ns.adobe.com/xap/1.0/sType/Dimensions#h	11.0
http://ns.adobe.com/xap/1.0/t/pg/MaxPageSize http://ns.adobe.com/xap/1.0/sType/Dimensions#unit	inch
http://ns.adobe.com/xap/1.0/t/pg/MaxPageSize http://ns.adobe.com/xap/1.0/sType/Dimensions#w	8.5
EOF

./xmptool -v '*' $TMP1 >$TMP3
diff -u $TMP2 $TMP3 || exit 1

# Should not change after clean-up:
./xmptool -c $TMP1 | ./xmptool -v '*' >$TMP3
diff -u $TMP2 $TMP3 || exit 1
