:

# A simple qualified property with zero qualifiers should be written
# as a simple property

trap 'rm -f $TMP1 $TMP2 $TMP3' 0
TMP1=`mktemp /tmp/test-XXXXXX` || exit 1
TMP2=`mktemp /tmp/test-XXXXXX` || exit 1
TMP3=`mktemp /tmp/test-XXXXXX` || exit 1

# Input contains a simple qualified property "baz" without qualifiers
cat >$TMP1 <<EOF
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
 <rdf:Description>
  <bar xmlns="foo/">&quot;&lt;&#x2691;&gt; &amp; a &apos;flag&apos;&quot;</bar>
  <baz xmlns="foo/" rdf:value="&quot;&#60;&#x2691;&gt; &amp; a &apos;flag&apos;&quot;"/>
 </rdf:Description>
</rdf:RDF>
EOF

# Expected output
cat >$TMP2 <<EOF
<?xpacket begin='﻿' id='W5M0MpCehiHzreSzNTczkc9d'?>
<rdf:RDF
  xmlns:crs="http://ns.adobe.com/camera-raw-settings/1.0/"
  xmlns:exif="http://ns.adobe.com/exif/1.0/"
  xmlns:aux="http://ns.adobe.com/exif/1.0/aux/"
  xmlns:photoshop="http://ns.adobe.com/photoshop/1.0/"
  xmlns:tiff="http://ns.adobe.com/tiff/1.0/"
  xmlns:xap="http://ns.adobe.com/xap/1.0/"
  xmlns:dc="http://purl.org/dc/elements/1.1/"
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:tc="http://www.w3.org/2000/PhotoRDF/technical-1-0#">
 <rdf:Description rdf:about="">
  <bar xmlns="foo/">&quot;&lt;⚑&gt; &amp; a 'flag'&quot;</bar>
  <baz xmlns="foo/">&quot;&lt;⚑&gt; &amp; a 'flag'&quot;</baz>
 </rdf:Description>
</rdf:RDF>
<?xpacket end='w'?>
EOF

./xmptool -c $TMP1 >$TMP3
diff -u $TMP2 $TMP3
